## python-django-extra-views 0.13.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DjangoExtraViews.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DjangoExtraViews.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DjangoExtraViews"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DjangoExtraViews"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-django-extra-views 0.9.0

=== debian/changelog ===
python-django-extra-views (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Drop Django 1.8 compatibility patch, merged upstream.
  * Add patch to prevent network access during build with intersphinx.

 -- Michael Fladischer <fladi@debian.org>  Thu, 16 Mar 2017 11:27:48 +0100

python-django-extra-views (0.8.0-1) unstable; urgency=low

  * Initial release (Closes: #856518).

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Mar 2017 15:37:25 +0100

=== debian/control ===
Source: python-django-extra-views
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django,
               python-django-nose,
               python-setuptools,
               python-six,
               python3-all,
               python3-django,
               python3-django-nose,
               python3-setuptools,
               python3-six,
               python3-sphinx
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/AndrewIngram/django-extra-views/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-extra-views.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-extra-views.git


Package: python-django-extra-views
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-django-extra-views-doc (= ${binary:Version})
Description: Complementary class-based generic views for Django (Python2 version)
 Django Extra Views provides a number of additional class-based generic views to
 complement those provide by Django itself.
 .
 Features:
  * FormSet and ModelFormSet views - The formset equivalents of FormView and
    ModelFormView.
  * InlineFormSetView - Lets you edit formsets related to a model (uses
    inlineformset_factory).
  * CreateWithInlinesView and UpdateWithInlinesView - Lets you edit a model and
    its relations.
  * GenericInlineFormSetView, the equivalent of InlineFormSetView but for
    GenericForeignKeys.
  * Support for generic inlines in CreateWithInlinesView and
    UpdateWithInlinesView.
  * Support for naming each inline or formset with NamedFormsetsMixin.
  * SortableListMixin - Generic mixin for sorting functionality in your views.
  * SearchableListMixin - Generic mixin for search functionality in your views.
 .
 This package contains the Python 2 version of the library.


Package: python3-django-extra-views
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-extra-views-doc (= ${binary:Version})
Description: Complementary class-based generic views for Django (Python3 version)
 Django Extra Views provides a number of additional class-based generic views to
 complement those provide by Django itself.
 .
 Features:
  * FormSet and ModelFormSet views - The formset equivalents of FormView and
    ModelFormView.
  * InlineFormSetView - Lets you edit formsets related to a model (uses
    inlineformset_factory).
  * CreateWithInlinesView and UpdateWithInlinesView - Lets you edit a model and
    its relations.
  * GenericInlineFormSetView, the equivalent of InlineFormSetView but for
    GenericForeignKeys.
  * Support for generic inlines in CreateWithInlinesView and
    UpdateWithInlinesView.
  * Support for naming each inline or formset with NamedFormsetsMixin.
  * SortableListMixin - Generic mixin for sorting functionality in your views.
  * SearchableListMixin - Generic mixin for search functionality in your views.
 .
 This package contains the Python 3 version of the library.


Package: python-django-extra-views-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Complementary class-based generic views for Django (Documentation)
 Django Extra Views provides a number of additional class-based generic views to
 complement those provide by Django itself.
 .
 Features:
  * FormSet and ModelFormSet views - The formset equivalents of FormView and
    ModelFormView.
  * InlineFormSetView - Lets you edit formsets related to a model (uses
    inlineformset_factory).
  * CreateWithInlinesView and UpdateWithInlinesView - Lets you edit a model and
    its relations.
  * GenericInlineFormSetView, the equivalent of InlineFormSetView but for
    GenericForeignKeys.
  * Support for generic inlines in CreateWithInlinesView and
    UpdateWithInlinesView.
  * Support for naming each inline or formset with NamedFormsetsMixin.
  * SortableListMixin - Generic mixin for sorting functionality in your views.
  * SearchableListMixin - Generic mixin for search functionality in your views.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-extra-views

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} runtests.py"

override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-django-extra-views 0.10.0

=== debian/changelog ===
python-django-extra-views (0.10.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * Refresh patches after git-dpm to gbp pq conversion
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Build documentation in override_dh_sphinxdoc.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 07 Mar 2018 14:42:53 +0100

=== debian/control ===
Source: python-django-extra-views
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-django,
 python-django-nose,
 python-setuptools,
 python-six,
 python3-all,
 python3-django,
 python3-django-nose,
 python3-setuptools,
 python3-six,
 python3-sphinx,
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/AndrewIngram/django-extra-views/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-extra-views
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-extra-views.git
Testsuite: autopkgtest-pkg-python

Package: python-django-extra-views
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-extra-views-doc (= ${binary:Version}),
Description: Complementary class-based generic views for Django (Python2 version)
 Django Extra Views provides a number of additional class-based generic views to
 complement those provide by Django itself.
 .
 Features:
  * FormSet and ModelFormSet views - The formset equivalents of FormView and
    ModelFormView.
  * InlineFormSetView - Lets you edit formsets related to a model (uses
    inlineformset_factory).
  * CreateWithInlinesView and UpdateWithInlinesView - Lets you edit a model and
    its relations.
  * GenericInlineFormSetView, the equivalent of InlineFormSetView but for
    GenericForeignKeys.
  * Support for generic inlines in CreateWithInlinesView and
    UpdateWithInlinesView.
  * Support for naming each inline or formset with NamedFormsetsMixin.
  * SortableListMixin - Generic mixin for sorting functionality in your views.
  * SearchableListMixin - Generic mixin for search functionality in your views.
 .
 This package contains the Python 2 version of the library.

Package: python-django-extra-views-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Complementary class-based generic views for Django (Documentation)
 Django Extra Views provides a number of additional class-based generic views to
 complement those provide by Django itself.
 .
 Features:
  * FormSet and ModelFormSet views - The formset equivalents of FormView and
    ModelFormView.
  * InlineFormSetView - Lets you edit formsets related to a model (uses
    inlineformset_factory).
  * CreateWithInlinesView and UpdateWithInlinesView - Lets you edit a model and
    its relations.
  * GenericInlineFormSetView, the equivalent of InlineFormSetView but for
    GenericForeignKeys.
  * Support for generic inlines in CreateWithInlinesView and
    UpdateWithInlinesView.
  * Support for naming each inline or formset with NamedFormsetsMixin.
  * SortableListMixin - Generic mixin for sorting functionality in your views.
  * SearchableListMixin - Generic mixin for search functionality in your views.
 .
 This package contains the documentation.

Package: python3-django-extra-views
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-extra-views-doc (= ${binary:Version}),
Description: Complementary class-based generic views for Django (Python3 version)
 Django Extra Views provides a number of additional class-based generic views to
 complement those provide by Django itself.
 .
 Features:
  * FormSet and ModelFormSet views - The formset equivalents of FormView and
    ModelFormView.
  * InlineFormSetView - Lets you edit formsets related to a model (uses
    inlineformset_factory).
  * CreateWithInlinesView and UpdateWithInlinesView - Lets you edit a model and
    its relations.
  * GenericInlineFormSetView, the equivalent of InlineFormSetView but for
    GenericForeignKeys.
  * Support for generic inlines in CreateWithInlinesView and
    UpdateWithInlinesView.
  * Support for naming each inline or formset with NamedFormsetsMixin.
  * SortableListMixin - Generic mixin for sorting functionality in your views.
  * SearchableListMixin - Generic mixin for search functionality in your views.
 .
 This package contains the Python 3 version of the library.

## python-django-extra-views 0.11.0

=== debian/changelog ===
python-django-extra-views (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
  * Remove X-Python(3)-Version field as it is no longer applicable.

 -- Michael Fladischer <fladi@debian.org>  Sun, 06 May 2018 15:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,7 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.1.4
 Homepage: https://github.com/AndrewIngram/django-extra-views/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-extra-views
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-extra-views.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-extra-views
 
@@ -12,6 +14,12 @@
 	dh_auto_build
 	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-django-extra-views-doc/usr/share/doc/python-django-extra-views-doc/html
+	dh_sphinxdoc
+endif
+
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args="{interpreter} runtests.py"

## python-django-extra-views 0.12.0

=== debian/changelog ===
python-django-extra-views (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.2.1.
  * Use 'python3 -m sphinx' instead of 'sphinx-build' when building
    documentation.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Oct 2018 13:32:30 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/AndrewIngram/django-extra-views/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-extra-views
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-extra-views.git

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-extra-views-$1/ \
https://github.com/AndrewIngram/django-extra-views/releases \
/AndrewIngram/django-extra-views/archive/([\d\.]+)\.tar\.gz

## python-django-extra-views 0.13.0

=== debian/changelog ===
python-django-extra-views (0.13.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Add d/upstream/metadata.
  * Add python3-pytest and python3-pytest-django to Build-Depends,
    required by tests.
  * Use pytest to run tests.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 23 Oct 2020 21:18:36 +0200

python-django-extra-views (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Removed Python 2 support.
  * Switched to using debhelper-compat.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 23:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,56 +1,26 @@
 Source: python-django-extra-views
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
- python-all,
- python-django,
- python-django-nose,
- python-setuptools,
- python-six,
  python3-all,
  python3-django,
  python3-django-nose,
+ python3-pytest,
+ python3-pytest-django,
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/AndrewIngram/django-extra-views/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-extra-views
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-extra-views.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-extra-views
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-extra-views.git
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-extra-views
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-django-extra-views-doc (= ${binary:Version}),
-Description: Complementary class-based generic views for Django (Python2 version)
- Django Extra Views provides a number of additional class-based generic views to
- complement those provide by Django itself.
- .
- Features:
-  * FormSet and ModelFormSet views - The formset equivalents of FormView and
-    ModelFormView.
-  * InlineFormSetView - Lets you edit formsets related to a model (uses
-    inlineformset_factory).
-  * CreateWithInlinesView and UpdateWithInlinesView - Lets you edit a model and
-    its relations.
-  * GenericInlineFormSetView, the equivalent of InlineFormSetView but for
-    GenericForeignKeys.
-  * Support for generic inlines in CreateWithInlinesView and
-    UpdateWithInlinesView.
-  * Support for naming each inline or formset with NamedFormsetsMixin.
-  * SortableListMixin - Generic mixin for sorting functionality in your views.
-  * SearchableListMixin - Generic mixin for search functionality in your views.
- .
- This package contains the Python 2 version of the library.
+Rules-Requires-Root: no
 
 Package: python-django-extra-views-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-extra-views

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-extra-views-doc/usr/share/doc/python-django-extra-views-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="DJANGO_SETTINGS_MODULE=extra_views_tests.settings {interpreter} /usr/bin/pytest-3"
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-django-extra-views 0.14.0

=== debian/changelog ===
python-django-extra-views (0.14.0-4ubuntu1) questing; urgency=medium

  * d/p/0003-Django-5-compatibility.patch: Fix test compatibility with Django 5

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 01 Aug 2025 22:47:50 -0400

python-django-extra-views (0.14.0-4) unstable; urgency=medium

  * Team upload.
  * remove extraneous build-dependencies:
    - python3-django-nose
    - python3-six

 -- Alexandre Detiste <tchet@debian.org>  Fri, 03 May 2024 11:24:01 +0200

python-django-extra-views (0.14.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-extra-views-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:01:18 +0100

python-django-extra-views (0.14.0-2) unstable; urgency=medium

  * Use github tags instead of releases for d/watch.
  * Add patch for Django 4 compatibility (Closes: #1013628).
  * Bump Standards-Version to 4.6.1.0.
  * Update year in d/copyright.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 Jul 2022 20:34:23 +0000

python-django-extra-views (0.14.0-1) unstable; urgency=low

  [ Diego M. Rodriguez ]
  * d/tests: specify import name

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Configure tests using pybuild environment variables instead of
    debhelper override.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Oct 2021 12:26:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django-extra-views
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
@@ -9,17 +10,14 @@
  dh-python,
  python3-all,
  python3-django,
- python3-django-nose,
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
- python3-six,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/AndrewIngram/django-extra-views/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-extra-views
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-extra-views.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python-django-extra-views-doc
@@ -28,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Complementary class-based generic views for Django (Documentation)
  Django Extra Views provides a number of additional class-based generic views to
  complement those provide by Django itself.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-extra-views
+export PYBUILD_BEFORE_TEST=cp -r {dir}/tox.ini {dir}/manage.py {dir}/extra_views_tests {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/extra_views_tests {build_dir}/tox.ini {build_dir}/manage.py
+export PYBUILD_TEST_ARGS=-k "not test_missing_management"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -20,11 +23,6 @@
 	dh_sphinxdoc
 endif
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- --system=custom --test-args="DJANGO_SETTINGS_MODULE=extra_views_tests.settings {interpreter} /usr/bin/pytest-3"
-endif
-
 override_dh_clean:
 	rm -rf docs/.build
 	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-extra-views-$1/ \
https://github.com/AndrewIngram/django-extra-views/tags \
/AndrewIngram/django-extra-views/archive/refs/tags/([\d\.]+)\.tar\.gz
